CPL API
Useful links
Useful links
  • Developer
  • Sandbox
Useful links
Useful links
  • Developer
  • Sandbox
Přepni do češtiny
  1. ShipmentBatch
  • Back to home
  • API Methods
  • AccessPoint
    • List of access points
  • AddressWhisper
    • Address Whisperer
  • Codelist
    • Codelist for the beneficiary's age verification service
    • Codelist product
    • Codelist externalNumbers
    • Codelist country + COD authorization
    • Codelist currency
    • Method for obtaining the services provided for shipments.
    • A method for obtaining minimum and maximum values ​​for services
    • Codelist shipment phase
    • Codelist status
    • Codelist of validation messages
    • Types of personal documents
    • Document type
  • Customer
    • Customer information - permitted currencies
    • Customer addresess
    • Number range creation
  • Data
    • Single label print
  • Info
    • /info
  • Order
    • Order tracking
  • OrderBatch
    • Create an order
    • Get order status
  • OrderEvent
    • Order cancel
  • Shipment
    • Shipment tracking
    • Save customs documents to shipment
  • ShipmentBatch
    • Shipment creation
      POST
    • Used to combine sets of shipments
      POST
    • Used to modify the output format of the label.
      PUT
    • Getting import state
      GET
    • Pick up label
      GET
  • ShipmentEvent
    • Shipment cancel
    • Adding informations to shipment
  • Routing
    • Used to obtain routing information for a label
  • VersionInformation
    • News
  1. ShipmentBatch

Used to combine sets of shipments

POST
/shipment/batch/connectSet
Maintainer:Not configured
This method is used to merge shipments into a set.
In order to merge shipments into a set, when creating a shipment that you later want to merge, you must include the ESPN code in the external numbers field in the request body of POST shipment/batch. Shipments created this way can then be merged into a set with other shipments created in the same manner using this method.
Conditions for merging
only shipments of the same productType can be merged
shipments that have already been created within a set can also be merged
shipments with cash on delivery (COD) cannot be merged
shipments can only be merged as long as they have not been transferred to a physical state (scanned upon loading)
shipments of the Smart2Box product cannot be merged
only shipments sent within the Czech Republic and international shipments for the COPL (PPL Parcel Connect Plus) product can be merged
All shipments to be merged must meet these conditions. If not, no partial merging will occur and the method will return an error.
For a better understanding of the merging process, see the examples, where shipment merging is described in detail.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/json-patch+json

Example
{
    "externalSetNumber": "string",
    "shipmentNumbers": [
        "string"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/shipment/batch/connectSet' \
--header 'Accept-Language;' \
--header 'X-Correlation-ID;' \
--header 'X-LogLevel;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data-raw '{
    "externalSetNumber": "string",
    "shipmentNumbers": [
        "string"
    ]
}'

Responses

🟢200OK
application/json
Success
Headers

Body

Example
{
    "masterShipmentNumber": "string",
    "shipmentNumbers": [
        "string"
    ]
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠409409
🔴500Server Error
🔴503Service Unavailable
Modified at 2026-04-20 06:30:06
Previous
Shipment creation
Next
Used to modify the output format of the label.